Bug 18063 - Remove dead code from tools/manage-marc-import.tt
Summary: Remove dead code from tools/manage-marc-import.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-06 13:57 UTC by Julian Maurice
Modified: 2017-02-19 20:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18063: Remove dead code from tools/manage-marc-import.tt (2.40 KB, patch)
2017-02-06 13:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18063: Remove dead code from tools/manage-marc-import.tt (2.45 KB, patch)
2017-02-06 15:20 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18063: Remove dead code from tools/manage-marc-import.tt (2.54 KB, patch)
2017-02-09 11:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2017-02-06 13:57:28 UTC
There is some dead code in koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt
Let's remove it !
Comment 1 Julian Maurice 2017-02-06 13:58:34 UTC
Created attachment 59929 [details] [review]
Bug 18063: Remove dead code from tools/manage-marc-import.tt
Comment 2 Julian Maurice 2017-02-06 13:59:57 UTC
Test plan:
1. Check that the staged MARC management tool continues to work
2. git grep 'match_link' should return no results.
Comment 3 M. Tompsett 2017-02-06 15:20:29 UTC
Created attachment 59936 [details] [review]
Bug 18063: Remove dead code from tools/manage-marc-import.tt

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Marcel de Rooy 2017-02-09 11:44:44 UTC
Created attachment 60054 [details] [review]
Bug 18063: Remove dead code from tools/manage-marc-import.tt

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-02-17 17:08:51 UTC
Pushed to master for for 17.05, thanks Julian!
Comment 6 Katrin Fischer 2017-02-19 20:45:05 UTC
This won't get ported back to 16.11.x as it is an enhancement.